## Apache Zeta Components Manual :: Docs For Class ezcMvcFilterDefinition

### MvcTools::ezcMvcFilterDefinition

### Class ezcMvcFilterDefinition

This class implements a filter definition to wrap around the filtername and its options.

Source for this file: /MvcTools/src/structs/filter_definition.php

    ezcBaseStruct
       |
       --ezcMvcFilterDefinition

Version: | //autogentag//

### Member Variables

public string | `$className` Contains the class name of the filter.
public array | `$options` Contains an array of filter-specific options.

### Method Summary

public static ezcMvcFilterDefinition | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcFilterDefinition | `__construct( [ $className = ''] , [ $options = array()] )` Constructs a new ezcMvcFilterDefinition.

### Methods

#### __set_state

static ezcMvcFilterDefinition __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcFilterDefinition __construct( [string $className = ''] , [array $options = array()] )

Constructs a new ezcMvcFilterDefinition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$className` | string |
`$options` | array |

Documentation generated by phpDocumentor 1.4.3